AttachPermission (Java SE 26 & JDK 26)
Description: declaration: module: jdk.attach, package: com.sun.tools.attach, class: AttachPermission
Keywords: com.sun.tools.attach.AttachPermission class

# Class AttachPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sun.tools.attach.AttachPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class AttachPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for this class.
An `AttachPermission` object contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
Since:
  1.6
See Also:
  - `VirtualMachine`
  - `AttachProvider`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new AttachPermission object.
  `AttachPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new AttachPermission object.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Checks two `BasicPermission` objects for equality.
  `String`
  `getActions()`
  Returns the canonical string representation of the actions, which currently is the empty string "", since there are no actions for a `BasicPermission`.
  `int`
  `hashCode()`
  Returns the hash code value for this object.
  `boolean`
  `implies(Permission p)`
  Checks if the specified permission is "implied" by this object.
  `PermissionCollection`
  `newPermissionCollection()`
  Returns a new `PermissionCollection` object for storing `BasicPermission` objects.

  ### Methods declared in class Permission

  `checkGuard, getName, toString`
  Modifier and Type
  Method
  Description
  `void`
  `checkGuard(Object object)`
  Implements the guard interface for a permission.
  `final String`
  `getName()`
  Returns the name of this `Permission`.
  `String`
  `toString()`
  Returns a string describing this `Permission`.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AttachPermission

    public AttachPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new AttachPermission object.
    Parameters:
      `name` - Permission name. Must be either "attachVirtualMachine", or "createAttachProvider".
    Throws:
      `NullPointerException` - if name is `null`.
      `IllegalArgumentException` - if the name is invalid.

  - ### AttachPermission

    public AttachPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new AttachPermission object.
    Parameters:
      `name` - Permission name. Must be either "attachVirtualMachine", or "createAttachProvider".
      `actions` - Not used and should be `null`, or the empty string.
    Throws:
      `NullPointerException` - if name is `null`.
      `IllegalArgumentException` - if arguments are invalid.